root: true

extends:
  - airbnb-base
  - airbnb-typescript/base

env:
  node: true

parserOptions:
  project: tsconfig.json

plugins:
  - import-newlines

rules:
  import/prefer-default-export: off
  import/order:
    - error
    - alphabetize:
        caseInsensitive: true
        order: asc
      groups:
        - builtin
        - external
        - unknown
        - internal
        - ['parent', 'sibling']
        - index
      pathGroups:
        - group: 'internal'
          pattern: '@functions/**'
        - group: 'internal'
          pattern: '@libs/**'
      pathGroupsExcludedImportTypes: []
      newlines-between: always
  max-len:
    - error
    - 120
